<template>
  <div class="activity-card" @click="openActivity">
    <img src="../assets/img/activity1.jpg">
    <label>{{activity.name}}</label>
  </div>
</template>

<script>
export default {
  name: "ActivityCard",
  props: {
    activity: Object
  },
  methods: {
    openActivity(){
      this.$router.push({ name: 'Donation', params: { id: this.activity.id }})
    }
  }
}
</script>

<style scoped>
.activity-card {
  height: 240px;
  box-shadow: 0px 0px 20px #ddd;
  border-radius: 16px;
  margin: 10px; 
  position: relative;
  overflow: hidden;
}

.activity-card:hover{
  cursor: pointer;
}

.activity-card > label {
  position: absolute;
  bottom: 20px;
  left: 20px;
  font-size: 1.5em;
  font-weight: bold;
}

.activity-card > img {
  width: 100%;
  height: 100%;
  object-fit: fill;
}
</style>